<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence de la classe Joueur</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#friends">Amis</a> &#124;
<a href="class_joueur-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Joueur</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_joueur_8hpp_source.html">Joueur.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a3464d22c5d1576af68b6d6ec4b3406e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#a3464d22c5d1576af68b6d6ec4b3406e6">Joueur</a> (const std::string &amp;pseudo, <a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur)</td></tr>
<tr class="separator:a3464d22c5d1576af68b6d6ec4b3406e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d02936c947fb18a394fb0d7864723c"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#a05d02936c947fb18a394fb0d7864723c">getPseudo</a> () const</td></tr>
<tr class="separator:a05d02936c947fb18a394fb0d7864723c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc95a4a0a66297f0b0b90318280b8b70"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#adc95a4a0a66297f0b0b90318280b8b70">setPseudo</a> (const std::string &amp;pseudo)</td></tr>
<tr class="separator:adc95a4a0a66297f0b0b90318280b8b70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5243334ac06c28123a288e456096d47"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#af5243334ac06c28123a288e456096d47">getNbPions</a> () const</td></tr>
<tr class="separator:af5243334ac06c28123a288e456096d47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab003f6a4574165626ad437492b2cde6f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#ab003f6a4574165626ad437492b2cde6f">setNbPions</a> (int x)</td></tr>
<tr class="separator:ab003f6a4574165626ad437492b2cde6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5912789a36779072d93bc01825d8d968"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#a5912789a36779072d93bc01825d8d968">getCouleur</a> () const</td></tr>
<tr class="separator:a5912789a36779072d93bc01825d8d968"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27e8d8b8ec766d02b5508f12bbde7754"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#a27e8d8b8ec766d02b5508f12bbde7754">setCouleur</a> (<a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur)</td></tr>
<tr class="separator:a27e8d8b8ec766d02b5508f12bbde7754"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8c49a2997ad1fb168d5f6fb88ca7d55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#ad8c49a2997ad1fb168d5f6fb88ca7d55">poserPion</a> (int x, int y, <a class="el" href="class_plateau.html">Plateau</a> *p, bool firstTurn=false)</td></tr>
<tr class="separator:ad8c49a2997ad1fb168d5f6fb88ca7d55"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Amis</h2></td></tr>
<tr class="memitem:a21a4c15dd5173c36f03e1a9bcead1f66"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_joueur.html#a21a4c15dd5173c36f03e1a9bcead1f66">operator&lt;&lt;</a> (std::ostream &amp;os, const <a class="el" href="class_joueur.html">Joueur</a> &amp;joueur)</td></tr>
<tr class="separator:a21a4c15dd5173c36f03e1a9bcead1f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>La classe joueur est une classe représentant les méthodes et attributs communs entre un joueur humain et un ordinateur. </p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a3464d22c5d1576af68b6d6ec4b3406e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3464d22c5d1576af68b6d6ec4b3406e6">&#9670;&nbsp;</a></span>Joueur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Joueur::Joueur </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>pseudo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>couleur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a5912789a36779072d93bc01825d8d968"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5912789a36779072d93bc01825d8d968">&#9670;&nbsp;</a></span>getCouleur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> Joueur::getCouleur </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5243334ac06c28123a288e456096d47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5243334ac06c28123a288e456096d47">&#9670;&nbsp;</a></span>getNbPions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Joueur::getNbPions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a05d02936c947fb18a394fb0d7864723c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a05d02936c947fb18a394fb0d7864723c">&#9670;&nbsp;</a></span>getPseudo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string &amp; Joueur::getPseudo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8c49a2997ad1fb168d5f6fb88ca7d55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8c49a2997ad1fb168d5f6fb88ca7d55">&#9670;&nbsp;</a></span>poserPion()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Joueur::poserPion </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_plateau.html">Plateau</a> *&#160;</td>
          <td class="paramname"><em>p</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>firstTurn</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Permet à un joueur de poser un pion sur un plateau. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Numéro de la ligne ciblée. </td></tr>
    <tr><td class="paramname">y</td><td>Numéro de la colonne ciblée. </td></tr>
    <tr><td class="paramname">p</td><td><a class="el" href="class_plateau.html">Plateau</a> à utiliser. </td></tr>
    <tr><td class="paramname">firstTurn</td><td>Ne fait pas de vérification sur la validité du coup si c'est le premier coup (joueur noir en milieu de plateau) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a27e8d8b8ec766d02b5508f12bbde7754"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27e8d8b8ec766d02b5508f12bbde7754">&#9670;&nbsp;</a></span>setCouleur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Joueur::setCouleur </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>couleur</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab003f6a4574165626ad437492b2cde6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab003f6a4574165626ad437492b2cde6f">&#9670;&nbsp;</a></span>setNbPions()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Joueur::setNbPions </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="adc95a4a0a66297f0b0b90318280b8b70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc95a4a0a66297f0b0b90318280b8b70">&#9670;&nbsp;</a></span>setPseudo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Joueur::setPseudo </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>pseudo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Documentation des fonctions amies et associées</h2>
<a id="a21a4c15dd5173c36f03e1a9bcead1f66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21a4c15dd5173c36f03e1a9bcead1f66">&#9670;&nbsp;</a></span>operator&lt;&lt;</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_joueur.html">Joueur</a> &amp;&#160;</td>
          <td class="paramname"><em>joueur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Surcharge de l'opérateur &lt;&lt; dans le but d'afficher un joueur. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">os</td><td>le flux de sortie </td></tr>
    <tr><td class="paramname">joueur</td><td>joueur à afficher </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>" &lt;pseudo&gt; - &lt;couleur&gt; - &lt;nb_pions&gt; pions restants " </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir des fichiers suivants :<ul>
<li>src/<a class="el" href="_joueur_8hpp_source.html">Joueur.hpp</a></li>
<li>src/<a class="el" href="_joueur_8cpp.html">Joueur.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
